# mapper/forum.py
from snek.model.forum import ForumModel, ThreadModel, PostModel, PostLikeModel
from snek.system.mapper import BaseMapper


class ForumMapper(BaseMapper):
    table_name = "forum"
    model_class = ForumModel


class ThreadMapper(BaseMapper):
    table_name = "thread"
    model_class = ThreadModel


class PostMapper(BaseMapper):
    table_name = "post"
    model_class = PostModel


class PostLikeMapper(BaseMapper):
    table_name = "post_like"
    model_class = PostLikeModel
